Subject: Re: [Teas] Roman Danyliw's No Objection on draft-ietf-teas-yang-te-topo-21: (with COMMENT)

From: Xufeng Liu <[email-masked]>
Date: Thu, 18 Jul 2019 22:12:17 -0400

H Roman,

The new revision https://tools.ietf.org/html/draft-ietf-teas-yang-te-topo-22
has been posted to contain the changes.
Thanks,
- Xufeng

On Wed, Jun 19, 2019 at 4:40 AM Roman Danyliw <[email-masked]> wrote:

> Hi!
>
>
>
> *From:* Xufeng Liu [mailto:[email-masked]]
> *Sent:* Monday, June 17, 2019 9:37 PM
> *To:* Roman Danyliw <[email-masked]>
> *Cc:* The IESG <[email-masked]>; [email-masked];
> Lou Berger <[email-masked]>; TEAS WG Chairs <[email-masked]>;
> TEAS WG <[email-masked]>
> *Subject:* Re: Roman Danyliw's No Objection on
> draft-ietf-teas-yang-te-topo-21: (with COMMENT)
>
>
>
> Hi Roman,
>
>
>
> (2) Section 4.2.  Per “Although an authorized client MAY receive a TE
> topology
>
> with the client ID field   matching some other client”, why would this
> happen?
> Couldn’t this potentially leak customized TE information across clients?
>
> [Xufeng]: Right. This does leak the information across clients. Whether to
> allow this or not is an implementation policy, which can be supported by
> other IETF documents and models, such as RFC8341 Network Configuration
> Access Control Model. Section 8. contains the following:
>
> The Network Configuration Access Control Model (NACM) [RFC8341]
>
> provides the means to restrict access for particular NETCONF or
> RESTCONF users to a preconfigured subset of all available NETCONF or
> RESTCONF protocol operations and content.
>
>
>
> Understood. As non-blocking feedback, I’d recommend adding sentence to
> explain this nuance.
>
>
>
> [Xufeng]: Agree that a bit more description would be better. Would it be
> OK to add the following to the end of this section:
>
> Even though this data model allows to access TE topology information
> across clients, implementations MAY restrict access for particular clients
> to particular data fields. The Network Configuration Access Control Model
> (NACM) [RFC8341] provides such a mechanism.
>
> [Roman] Adding this clarifying language makes sense to me.  Thanks.
>
> Roman
>
>
>
>
>
> Thanks,
>
> - Xufeng
>
>
>